[blfs-support] Cannot build firefox-32.0.1

Armin K. krejzi at email.com
Sat Nov 1 16:45:29 PDT 2014


On 11/02/2014 12:34 AM, Richard wrote:
> On 11/01/2014 02:55 PM, Armin K. wrote:
>> On 11/01/2014 07:53 PM, Richard wrote:
>>> I am using the instructions in the blfs-7.6
>>> stable book to build firefox. When I issue
>>> the instruction:
>>>
>>> make -f client.mk
>>>
>>> I get the following error:
>>>
>>> --------------------------------------------------------------
>>> checking Python environment is Mozilla virtualenv... Traceback (most
>>> recent call last):
>>>    File "<string>", line 1, in <module>
>>>    File
>>> "/sources/firefox/mozilla-release/python/mozbuild/mozbuild/base.py",
>>> line 17, in <module>
>>>      from mach.mixin.process import ProcessExecutionMixin
>>>    File
>>> "/sources/firefox/mozilla-release/python/mach/mach/mixin/process.py",
>>> line 29, in <module>
>>>      raise Exception('Could not detect environment shell!')
>>> Exception: Could not detect environment shell!
>>> configure: error: Python environment does not appear to be sane.
>>> ------ config.log ------
>>> This file contains any messages produced by compilers while
>>> running configure, to aid debugging if configure makes a mistake.
>>>
>>> configure:1215: checking host system type
>>> configure:1236: checking target system type
>>> configure:1254: checking build system type
>>> configure:1329: checking for gawk
>>> configure:1414: checking for python2.7
>>> configure:1524: checking Python environment is Mozilla virtualenv
>>> configure: error: Python environment does not appear to be sane.
>>> *** Fix above errors and then restart with\
>>>                 "make -f client.mk build"
>>> /sources/firefox/mozilla-release/client.mk:363: recipe for target
>>> 'configure' failed
>>> make[2]: *** [configure] Error 1
>>> make[2]: Leaving directory '/sources/firefox/mozilla-release'
>>> /sources/firefox/mozilla-release/client.mk:377: recipe for target
>>> '/sources/firefox/mozilla-release/firefox-build-dir/Makefile' failed
>>> make[1]: ***
>>> [/sources/firefox/mozilla-release/firefox-build-dir/Makefile] Error 2
>>> make[1]: Leaving directory '/sources/firefox/mozilla-release'
>>> client.mk:187: recipe for target 'build' failed
>>> make: *** [build] Error 2
>>> -----------------------------------------------------
>>>
>>> I also tried using the instruction:
>>>
>>> SHELL=/bin/sh make -f client.mk
>>>
>>> which got me further, but I still ended up with the
>>> following error:
>>>
>>> -------------------------------------------------
>>> configure:21041: checking for alsa
>>> configure:21048: checking MOZ_ALSA_CFLAGS
>>> configure:21053: checking MOZ_ALSA_LIBS
>>> configure:21299: checking for gstreamer-0.10 >= 0.10.25
>>>                        gstreamer-app-0.10
>>>                        gstreamer-plugins-base-0.10
>>> configure: error: gstreamer and gstreamer-plugins-base development
>>> packages are needed to build gstreamer backend. Install them or disable
>>> gstreamer support with --disable-gstreamer
>>> *** Fix above errors and then restart with\
>>>                 "make -f client.mk build"
>>> /sources/firefox/mozilla-release/client.mk:363: recipe for target
>>> 'configure' failed
>>> make[2]: *** [configure] Error 1
>>> make[2]: Leaving directory '/sources/firefox/mozilla-release'
>>> /sources/firefox/mozilla-release/client.mk:377: recipe for target
>>> '/sources/firefox/mozilla-release/firefox-build-dir/Makefile' failed
>>> make[1]: ***
>>> [/sources/firefox/mozilla-release/firefox-build-dir/Makefile] Error 2
>>> make[1]: Leaving directory '/sources/firefox/mozilla-release'
>>> client.mk:187: recipe for target 'build' failed
>>> make: *** [build] Error 2
>>> --------------------------------------------------
>>>
>>> Do I need to use the SHELL=/bin/sh form of the
>>> command, and do I also need to install gstreamer?
>>> I don't recall seeing gstreamer in the list of
>>> dependencies. Or do I need to disable gstreamer?
>>>
>>
>> Read carefully the default mozconfig file.
>>
> 
> Here are the lines in my mozconfig file relating
> to gstreamer:
> 
> # GStreamer is necessary for H.264 video playback in HTML5 Video Player;
> # to be enabled, also remember to set "media.gstreamer.enabled" to "true"
> # in about:config. If you have GStreamer 0.x.y, uncomment this line:
> #ac_add_options --enable-gstreamer
> # or uncomment this line, if you have GStreamer 1.x.y
> #ac_add_options --enable-gstreamer=1.0
> 
> I have not un-commented any of these lines, because I have
> not installed gstreamer. But from the error I am getting,
> it appears that this is not enough, that I have to
> explicitly disable gstreamer.
> 
> Richard
> 

Firefox-33.0.2 has a bit different text there:

# GStreamer is necessary for H.264 video playback in HTML5 Video Player;
# to be enabled, also remember to set "media.gstreamer.enabled" to "true"
# in about:config. If you do *not* have GStreamer 0.x.y, uncomment this
line:
#ac_add_options --disable-gstreamer
# or uncomment this line, if you have GStreamer 1.x.y
#ac_add_options --enable-gstreamer=1.0

http://www.linuxfromscratch.org/blfs/view/svn/xsoft/firefox.html

Remember to check the latest instructions available as BLFS is
constantly moving target and not something that can easily be
"stablized" in a short amount of time it usually takes between a
beginning of freeze period and a final release.

-- 
Note: My last name is not Krejzi.

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: OpenPGP digital signature
URL: <http://lists.linuxfromscratch.org/pipermail/blfs-support/attachments/20141102/6e31da79/attachment.sig>


More information about the blfs-support mailing list